%define name smeserver-extrarepositories
%define version 0.1
%define release 50
Summary: easy configuration of extra yum repo
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: https://wiki.koozali.org
Group: SMEserver/addon
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
AutoReqProv: no
Source0: https://raw.githubusercontent.com/ONLYOFFICE/repo/master/centos/RPM-GPG-KEY-ONLYOFFICE
Source1: https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7

%description
Provides configuration for external yum repository comaptible with Koozali SME Server.

%changelog
* Thu Feb 20 2025 Jean-Philippe Pialasse <jpp@koozali.org> 0.1-50.sme
- add mariadb LTS repos 10.5 10.6 10.11 11.4 11.7 [SME: 12936]

* Fri Feb 14 2025 Jean-Philippe Pialasse <jpp@koozali.org> 0.1-49.sme
- remove epel as in core now [SME: 12920]

* Fri Feb 07 2025 Jean-Philippe Pialasse <jpp@koozali.org> 0.1-48.sme
- remove openfusion [SME: 12883]

* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1-47.sme
- Fix e-smith references in smeserver-extrarepositories [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1-46.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Feb 20 2024 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-45.sme
- update pgsql gpg keys and add new versions [SME: 12473]

* Fri Oct 27 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-43.sme
- add new elastic repos [SME: 12422]
- add wandisco distribution of git [SME: 12345]
- add priority to centos sclo [SME: 12278]
- add lemonldap 1.4 1.9 and 2.0 on top of stable (2.0) [SME: 12143]

* Mon Sep 04 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-42.sme
- Fix the error in the spec file [SME: 12389]

* Wed Jul 26 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-41.sme
- fix issues with libreswan repo [SME: 12389]
- Remove old mongodb repos prior to 4.0

* Wed Jun 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-40.sme
- add mongodb repos [SME: 11905]
- add onlyoffice repo [SME: 12078]
- add nginx repo [SME: 12079]

* Sat May 28 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-39.sme
- fix typo in pgsql url 

* Thu Mar 10 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-38.sme
- add docker-ce repo [SME: 11894]

* Wed Mar 09 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-37.sme
- add collaboraoffice repo [SME: 11888]

* Thu Feb 24 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-36.sme
- add Copr repo for fusioninventory-agent owned by trasher [SME: 11751]
- fix update event for sclo [SME: 11876]

* Mon Nov 29 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-35.sme
- fix node repos

* Tue Nov 09 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-34.sme
- add asterisk [SME: 11512]
- add lemonldap [SME: 11740]
- add bareos [SME: 11741]
- add zabbix repo up to 55 and add scl sub repos [SME: 11744]

* Tue Jul 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-33.sme
- add migrate fragment for pwauth in epel [SME: 11639]

* Wed Jun 30 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-32.sme
- Requires e-smith >= 10
- exclude pwauh from EPEL [SME: 11639]

* Sun May 02 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-31.sme
- add perl-JSON to openfusion [SME: 11579]

* Thu Mar 25 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-30.sme
- fix zabbix key
- fix update event for packages with multiple repo 

* Thu Mar 25 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-29.sme
- add new zabbix version

* Mon Mar 22 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-28.sme
- add extra packages from openfusion [SME: 11223] 
- fix wrong event for remi-unsafe  [SME: 11181] 
- add repo for postgsql 
- remove digium asterisk repo for SME10  [SME: 11482] 
- remove geekery repo [SME: 11483] 

* Mon Dec 21 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-27.sme
- Add perl-Disk-Free and perl-Type-Tiny to Migrate script [SME: 11024]

* Mon Dec 21 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-26.sme
- Add perl-Disk-Free for smeserver-affa [SME: 11024]

* Wed Dec 02 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-25.sme
- add extar packages from Openfusion for NextCloud [SME: 11223]
- perl-Array-Compare perl-Type-Tiny perl-Exporter-Tiny

* Tue Nov 17 2020 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-24.sme
- add event on update to avoid reboot [SME: 11181]
- remove remi-safe as it is now in core rpm [SME: 11182]

* Tue Oct 27 2020 Brian Read <brianr@bjsystems.co.uk> 0.1-22.sme
- Initial import to SME10 tree [SME: 11057]

* Sat Mar 21 2020 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-21.sme
- update zabbix repo [SME: 10900]
- add Springdale / PUIAS repo [SME: 10673]

* Sun Jan 27 2019 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-20.sme
- add node repos [SME: 10727]

* Fri Jan 04 2019 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-19.sme
- improve zmrepo migrate fragment to avoid action if not needed.
- migrate fragment for openfusion

* Fri Jan 04 2019 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-18.sme
- remove perl-version from pkg lists

* Fri Jan 04 2019 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-17.sme
- revised Include and Exclude to prevident accidental update
- updated incorrect changelog dates

* Thu Jan 03 2019 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-16.sme
- Add more Excludes to Openfusion

* Tue Jan 01 2019 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-15.sme
- Exclude mod_perl and other files from OpenFusion repo

* Sat Dec 29 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-14.sme
- fix typo in asterisk-current
- fix typo in migrate fragment for zmrepo
- renamed digium as digium-current

* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-12.sme
- zoneminder needs ffmpeg from zmrepo [SME: 10539]

* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-11.sme
- zmrepo url has changed [SME: 10675]

* Fri Nov 30 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-7.sme
- Add libreswan repo  [SME: 10605]
- remove duplicate remi-safe entry

* Mon Jun 25 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-6.sme
- Update reetp URL  [SME: 10604]

* Tue May 08 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-5.sme
- add elrepo-kernel repo  [SME: 10581]

* Sun Mar 18 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-4.sme
- exclude ffmpeg-2.6.4 and celt-0.11 from zmrepo [SME: 10543]
- add Sogo4 repo + migrate to exclude gnustep from epel if sogo repo present 

* Sun Feb 18 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-3.sme
- fix wrong escape sequence for $basearch and $releasever [SME: 10239]

* Thu Feb 15 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- first multipackage version
- gpg keys not included

* Mon May 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- initial release

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
# if needing to add a gpg key
mkdir -p $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/

# if needing to add a gpg key
#cp %source0 $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/ 
#/usr/share/rpm-gpg-keys/RPM-GPG-KEY-${REPO['reponame']}
cp %SOURCE0  $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/
cp %SOURCE1  $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/PGDG-RPM-GPG-KEY-RHEL7-pgsql

# if needing to migrate something :
#mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate
#echo "" >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/00REPONAMEmigrate

# if needed to force something
#mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/force/${REPO['reponame']}
#echo "${REPO['Exclude']}" >\
#        $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/force/${REPO['reponame']}/Exclude



declare -A REPO

function createrepo {
mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}
echo "${REPO['EnableGroups']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/EnableGroups
echo "${REPO['GPGCheck']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/GPGCheck
echo "${REPO['fullreponame']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Name
echo "${REPO['Visible']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Visible
echo "${REPO['status']}"  > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/status
echo "repository" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/type

mkdir -p $RPM_BUILD_ROOT/etc/e-smith/events/smeserver-extrarepositories-${REPO['pkgname']}-update/templates2expand/etc/yum.smerepos.d/
touch $RPM_BUILD_ROOT/etc/e-smith/events/smeserver-extrarepositories-${REPO['pkgname']}-update/templates2expand/etc/yum.smerepos.d/sme-base.repo

[[ "${REPO['BaseURL']}" != '' ]]  &&       echo "${REPO['BaseURL']}" >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/BaseURL
[[ "${REPO['GPGKey']}" != '' ]]  &&       echo "${REPO['GPGKey']}" >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/GPGKey
[[ "${REPO['MirrorList']}" != '' ]]  &&       echo "${REPO['MirrorList']}"       >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/MirrorList
[[ "${REPO['Exclude']}" != '' ]]  &&       echo "${REPO['Exclude']}"  >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Exclude
[[ "${REPO['IncludePkgs']}" != '' ]]  &&       echo "${REPO['IncludePkgs']}"   >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/IncludePkgs
[[ "${REPO['Priority']}" != '' ]]  &&       echo "${REPO['Priority']}"   >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Priority
return 0
}


#####################
#####################
# asterisk
#####################
#####################
for elasver  in "13" "16"  '17' '18' ; do
REPO['reponame']="asterisk-$elasver"
REPO['pkgname']='asterisk'
REPO['fullreponame']="Asterisk $elasver (LTS) Packages @ tucny.com"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=""#https://ast.tucny.com/repo/asterisk-$elasver/el\$releasever/\$basearch/
REPO['MirrorList']="https://ast.tucny.com/mirrorlist.php?release=\$releasever&arch=\$basearch&repo=asterisk-$elasver"
REPO['GPGCheck']='yes'
REPO['GPGKey']="https://ast.tucny.com/repo/RPM-GPG-KEY-dtucny"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done

REPO['reponame']='asterisk-common'
REPO['pkgname']='asterisk'
REPO['fullreponame']='Asterisk Common Requirement Packages @ tucny.com'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']=''#https://ast.tucny.com/repo/asterisk-common/el$releasever/$basearch/
REPO['MirrorList']='https://ast.tucny.com/mirrorlist.php?release=$releasever&arch=$basearch&repo=asterisk-common'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://ast.tucny.com/repo/RPM-GPG-KEY-dtucny'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo



#####################
#####################
#atomic
#####################
#####################
REPO['reponame']='atomic'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Atomic'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://www.atomicorp.com/mirrorlist/atomic/centos-$releasever-$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.atomicorp.com/RPM-GPG-KEY.art.txt'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
# BareOS
#####################
#####################
REPO['reponame']='bareos20'
REPO['pkgname']='bareos'
REPO['fullreponame']='Backup Archiving Recovery Open Sourced'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://download.bareos.org/bareos/release/20/CentOS_$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.bareos.org/bareos/release/20/CentOS_$releasever/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='bareos20-source'
REPO['pkgname']='bareos'
REPO['fullreponame']='Backup Archiving Recovery Open Sourced - Sources'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='https://download.bareos.org/bareos/release/20/CentOS_$releasever/src'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.bareos.org/bareos/release/20/CentOS_$releasever/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='bareos20-debuginfo'
REPO['pkgname']='bareos'
REPO['fullreponame']='Backup Archiving Recovery Open Sourced - Debuginfo'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='https://download.bareos.org/bareos/release/20/CentOS_$releasever/debug'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.bareos.org/bareos/release/20/CentOS_$releasever/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo



#####################
#####################
#centos-sclo-centos
#####################
#####################
REPO['reponame']='centos-sclo-centos'
REPO['pkgname']="centos-sclo" #${REPO['reponame']}
REPO['fullreponame']='Centos-RH Software collections'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://mirror.centos.org/centos/$releasever/sclo/$basearch/sclo/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.centos.org/keys/RPM-GPG-KEY-CentOS-SIG-SCLo'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']='10'
createrepo

#####################
#####################
#centos-sclo-rh
#####################
#####################
REPO['reponame']='centos-sclo-rh'
REPO['pkgname']='centos-sclo' #${REPO['reponame']}
REPO['fullreponame']='Centos-RH Software collections'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://mirror.centos.org/centos/$releasever/sclo/$basearch/rh/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.centos.org/keys/RPM-GPG-KEY-CentOS-SIG-SCLo'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']='10'
createrepo

#####################
#####################
#collaboraoffice.com
#####################
#####################
REPO['reponame']='collaboraoffice'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='collaboraoffice.com_repos_CollaboraOnline_CODE-centos'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos7/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#docker-ce
#####################
#####################
REPO['reponame']='docker-ce'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='docker-ce'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='https://download.docker.com/linux/centos/$releasever/$basearch/stable'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.docker.com/linux/centos/gpg'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


#####################
#####################
#egroupware
#####################
#####################
REPO['reponame']='egroupware'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='server_eGroupWare'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download.opensuse.org/repositories/server:/eGroupWare/CentOS_$releasever/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://download.opensuse.org/repositories/server:/eGroupWare/CentOS_$releasever/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#elastic
#####################
#####################
declare -A elashort=(['oss-8.x']='oss-8.x' ['8.x']='8.x' ['7.x']='7.x' ['6.x']='6.x' ['5.x']='5.x' ['1.6']='1' )
for elasver  in "8.x" "7.x" "6.x" "5.x" "1.6"; do 
REPO['reponame']="elastic${elashort[$elasver]}"
REPO['pkgname']='elastic'
REPO['fullreponame']="Elasticsearch repository for $elasver packages"
REPO['EnableGroups']='yes'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="https://artifacts.elastic.co/packages/$elasver/yum"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://artifacts.elastic.co/GPG-KEY-elasticsearch'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done

#####################
#####################
#ELRepo
#####################
#####################
REPO['reponame']='elrepo'
REPO['pkgname']='elrepo'
REPO['fullreponame']='ELRepo.org Community Enterprise Linux Repository'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://elrepo.org/linux/elrepo/el$releasever/$basearch'
REPO['MirrorList']='http://elrepo.org/mirrors-elrepo.el$releasever'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://elrepo.org/RPM-GPG-KEY-elrepo.org'
REPO['Exclude']='clamav,spamassassin,libselinux,perl-HTML-Parser,lm_sensors,perl-IO-stringy,perl-XML-Parser,razor-agents,libgcrypt,rpm-python,libxml2,zlib,gnupg,libxml2-python,yum,module-init-tools,rpm,gettext,librpm4,glib2,perl-libwww-perl,perl-Convert-ASN1,beecrypt,fetchmail,libacl,libtool-ltdl,popt,libgpg-error,freetype,perl-MIME-tools,mutt,gd,perl-TimeDate,librpm4.4'
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#ELRepo kernel
#####################
#####################
REPO['reponame']='elrepo-kernel'
REPO['pkgname']='elrepo'
REPO['fullreponame']='ELRepo.org Community Enterprise Linux Repository Kernel'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://elrepo.org/linux/kernel/el$releasever/$basearch'
REPO['MirrorList']='http://elrepo.org/mirrors-elrepo-kernel.el$releasever'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://elrepo.org/RPM-GPG-KEY-elrepo.org'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#erlang
#####################
#####################
REPO['reponame']='erlang'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='erlang programming language'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.erlang-solutions.com/rpm/centos/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://packages.erlang-solutions.com/rpm/erlang_solutions.asc'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#freeswitch
#####################
#####################
REPO['reponame']='freeswitch'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Freeswitch'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://files.freeswitch.org/yum/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='file:///etc/pki/rpm-gpg/RPM-GPG-KEY-FREESWITCH'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#firewall Service
#####################
#####################
REPO['reponame']='fws'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Firewall Services'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.firewall-services.com/centos/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://repo.firewall-services.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#firewall Service testing
#####################
#####################
REPO['reponame']='fws-testing'
REPO['pkgname']='fws'
REPO['fullreponame']='Firewall Services testing'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.firewall-services.com/centos-testing/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://repo.firewall-services.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#fusion inventory 
#####################
#####################
REPO['reponame']='fusioninventory-agent'
REPO['pkgname']='fusioninventory-agent'
REPO['fullreponame']='Copr repo for fusioninventory-agent owned by trasher'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='https://download.copr.fedorainfracloud.org/results/trasher/fusioninventory-agent/epel-$releasever-$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.copr.fedorainfracloud.org/results/trasher/fusioninventory-agent/pubkey.gpg'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


#####################
#####################
# LemonLDAP-NG
#####################
#####################
REPO['reponame']='lemonldap-ng'
REPO['pkgname']='lemonldap'
REPO['fullreponame']='LemonLDAP::NG packages'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='https://lemonldap-ng.org/redhat/stable/$releasever/noarch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://lemonldap-ng.org/_media/rpm-gpg-key-ow2'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='lemonldap-ng-extras'
REPO['pkgname']='lemonldap'
REPO['fullreponame']='LemonLDAP::NG extra packages'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://lemonldap-ng.org/redhat/extras/$releasever/noarch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://lemonldap-ng.org/_media/rpm-gpg-key-ow2'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

EPO['reponame']='lemonldap-ng-1.4'
REPO['pkgname']='lemonldap1.4'
REPO['fullreponame']='LemonLDAP::NG packages 1.4'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://lemonldap-ng.org/redhat/1.4/$releasever/noarch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://lemonldap-ng.org/_media/rpm-gpg-key-ow2'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='lemonldap-ng-1.9'
REPO['pkgname']='lemonldap1.9'
REPO['fullreponame']='LemonLDAP::NG packages 1.9'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://lemonldap-ng.org/redhat/1.9/$releasever/noarch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://lemonldap-ng.org/_media/rpm-gpg-key-ow2'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='lemonldap-ng-2.0'
REPO['pkgname']='lemonldap2.0'
REPO['fullreponame']='LemonLDAP::NG packages 2.0'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://lemonldap-ng.org/redhat/2.0/$releasever/noarch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://lemonldap-ng.org/_media/rpm-gpg-key-ow2'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


#####################
#####################
# Libreswan
#####################
#####################
REPO['reponame']='libreswan'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Libreswan'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download.libreswan.org/binaries/rhel/$releasever/$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://download.libreswan.org/RPM-GPG-KEY-libreswan'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']='10'
createrepo 

#####################
#####################
# Mariadb
#####################
#####################
for nodever  in "10.5" "10.6" "10.11" "11.4" "11.7"; do
REPO['reponame']="mariadb$nodever"
REPO['pkgname']='mariadb'
REPO['fullreponame']="Mariadb $nodever LTS"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="https://rpm.mariadb.org/$nodever/rhel/\$releasever/\$basearch"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="https://rpm.mariadb.org/RPM-GPG-KEY-MariaDB"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done


#####################
#####################
# Mongodb
#####################
#####################
for nodever  in "4.0" "4.1" "4.2" "4.3" "4.4" "5.0" "6.0" "7.0"; do
REPO['reponame']="mongodb$nodever"
REPO['pkgname']='mongodb'
REPO['fullreponame']="Mongodb $nodever"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="https://repo.mongodb.org/yum/redhat/\$releasever/mongodb-org/$nodever/\$basearch/"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="https://www.mongodb.org/static/pgp/server-$nodever.asc"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done

#####################
#####################
# Nginx
#####################
#####################
REPO['reponame']='nginx'
REPO['pkgname']='nginx'
REPO['fullreponame']='nginx stable repo'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://nginx.org/packages/centos/$releasever/$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nginx.org/keys/nginx_signing.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='nginx-mainline'
REPO['pkgname']='nginx'
REPO['fullreponame']='nginx mainline repo'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://nginx.org/packages/mainline/centos/$releasever/$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nginx.org/keys/nginx_signing.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo




#####################
#####################
# NodeJS 4
#####################
#####################
for nodever  in "4" "5" "6" "7" "8" "9" "10" "11" "12" "13" "14" "15" "16" "17"; do
REPO['reponame']="node$nodever"
REPO['pkgname']='node'
REPO['fullreponame']="NodeJS $nodever"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="https://rpm.nodesource.com/pub_$nodever.x/el/\$releasever/\$basearch/"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://rpm.nodesource.com/pub/el/NODESOURCE-GPG-SIGNING-KEY-EL'
#'https://deb.nodesource.com/gpgkey/nodesource.gpg.key'
#'https://rpm.nodesource.com/pub/el/NODESOURCE-GPG-SIGNING-KEY-EL'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done


if  ( "%{?dist}"  == "el7" ); then
#####################
#####################
# Odoo10-nightly
#####################
#####################
REPO['reponame']='odoo10-nightly'
REPO['pkgname']='odoo'
REPO['fullreponame']='Odoo 10 Nightly - EL7'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://nightly.odoo.com/10.0/nightly/rpm/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nightly.odoo.com/odoo.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
# Odoo9-nightly
#####################
#####################
REPO['reponame']='odoo9-nightly'
REPO['pkgname']='odoo'
REPO['fullreponame']='Odoo 9 Nightly - EL7'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://nightly.odoo.com/9.0/nightly/rpm/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nightly.odoo.com/odoo.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
fi

#####################
#####################
# Okay
#####################
#####################
REPO['reponame']='okay'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Extra OKay Packages for Enterprise Linux - Freeswitch and FusionPBX'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.okay.com.mx/centos/$releasever/$basearch/release'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
# Onlyoffice
#####################
#####################
REPO['reponame']='onlyoffice'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Onlyoffice document server - community edition'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='https://download.onlyoffice.com/repo/centos/main/noarch/'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']='https://raw.githubusercontent.com/ONLYOFFICE/repo/master/centos/RPM-GPG-KEY-ONLYOFFICE'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
# Postgresql
#####################
#####################
for pgsqlver  in   "12" "13" "14" "15" "16"; do
REPO['reponame']="pgsql$pgsqlver"
REPO['pkgname']='pgsql'
REPO['fullreponame']="Postgresql $pgsqlver"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://yum.postgresql.org/'$pgsqlver'/redhat/rhel-$releasever-$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7'
#https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL
#https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-AARCH64-RHEL
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


REPO['reponame']="pgsql$pgsqlver-nonfree"
REPO['pkgname']='pgsql'
REPO['fullreponame']="Postgresql $pgsqlver non free"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://download.postgresql.org/pub/repos/yum/non-free/'$pgsqlver'/redhat/rhel-$releasever-$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7-nonfree'
#https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL-nonfree
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']="pgsql$pgsqlver-common"
REPO['pkgname']='pgsql'
REPO['fullreponame']="Postgresql $pgsqlver non free"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://download.postgresql.org/pub/repos/yum/common/'$pgsqlver'/redhat/rhel-$releasever-$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7'
#https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL
#https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-AARCH64-RHEL
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

done

#####################
#####################
# Reetspetit
#####################
#####################
REPO['reponame']='reetp'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Mirror John Crisp reetspetit.com'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://www.reetspetit.com/smeserver/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']='https://www.reetspetit.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#remi
#####################
#####################
REPO['reponame']='remi'
REPO['pkgname']='remi-unsafe'
REPO['fullreponame']='Remi - EL unsafe, will conflict with your base rpms'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='no'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']='mysql*,php-*,phpMyAdmin'
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#remi-ocsinventory
#####################
#####################
REPO['reponame']='remi-ocsinventory'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Remi ocsinventory - EL'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']=''
REPO['IncludePkgs']='ocsinventory* perl-Ocsinventory-Agent'
REPO['Priority']=''
createrepo

#####################
#####################
#remi-ocsinventory
#####################
#####################
REPO['reponame']='remi-roundcube'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Remi Roundcube - EL'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']=''
REPO['IncludePkgs']='php-kolab-net-ldap3,php-pear-Mail-mimeDecode,php-pear-Net-IDNA2,php-pear-Net-LDAP2,roundcubemail'
REPO['Priority']=''
createrepo


#####################
#####################
#rpmfusion
#####################
#####################
REPO['reponame']='rpmfusion'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='rpmfusion free EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download1.rpmfusion.org/free/el/updates/$releasever/$basearch/'
REPO['MirrorList']='http://mirrors.rpmfusion.org/mirrorlist?repo=free-el-updates-released-$releasever&arch=$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://rpmfusion.org/keys?action=AttachFile&do=get&target=RPM-GPG-KEY-rpmfusion-free-el-$releasever'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#rpmfusion
#####################
#####################
REPO['reponame']='rpmfusion-nonfree'
REPO['pkgname']='rpmfusion'
REPO['fullreponame']='rpmfusion nonfree EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download1.rpmfusion.org/nonfree/el/updates/$releasever/$basearch/'
REPO['MirrorList']='http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-el-updates-released-$releasever&arch=$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://rpmfusion.org/keys?action=AttachFile&do=get&target=RPM-GPG-KEY-rpmfusion-nonfree-el-$releasever'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#Sogo nightly
#####################
#####################
REPO['reponame']='sogo'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Inverse SOGo 2 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/2/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
REPO['Priority']=''
createrepo

#####################
#####################
#Sogo3 nightly
#####################
#####################
REPO['reponame']='sogo3'
REPO['pkgname']='sogo'
REPO['fullreponame']='Inverse SOGo 3 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/3/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
REPO['Priority']=''
createrepo

#####################
#####################
#Sogo4 nightly
#####################
#####################
REPO['reponame']='sogo4'
REPO['pkgname']='sogo'
REPO['fullreponame']='Inverse SOGo 4 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/4/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
REPO['Priority']=''
createrepo

#####################
#####################
#Sogo stable
#####################
#####################
REPO['reponame']='sogo-subscription'
REPO['pkgname']='sogo'
REPO['fullreponame']='Inverse SOGo Repository only with subscription'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/download/SOGo/RHEL$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
REPO['Priority']=''
createrepo

#####################
#####################
#Spectrum2
#####################
#####################
REPO['reponame']='spectrum2'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Spectrum2'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://copr-be.cloud.fedoraproject.org/results/mcepl/spectrum2/epel-$releasever-$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#Springdale
#####################
#####################
REPO['reponame']='springdale-core'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS core Base'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/$releasever/$basearch/os/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/$basearch/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='springdale-updates'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS core Updates'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/updates/$releasever/$basearch/en/os/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/updates/$basearch/en/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='springdale-addons'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS Addons'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/$releasever/$basearch/os/Addons/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/$basearch/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='springdale-addons-updates'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS Addons Updates'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/updates/Addons/$releasever/$basearch/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/$basearch/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


REPO['reponame']='springdale-unsupported'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS Unsupported'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/unsupported/$releasever/$basearch/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/$basearch/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

REPO['reponame']='springdale-computational'
REPO['pkgname']='springdale'
REPO['fullreponame']='PUIAS Computational'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://puias.math.ias.edu/data/puias/computational/$releasever/$basearch/mirrorlist'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://puias.princeton.edu/data/puias/$releasever/$basearch/os/RPM-GPG-KEY-puias'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo




#####################
#####################
#stephDL
#####################
#####################
REPO['reponame']='stephdl'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Mirror Stephane de Labrusse'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://mirror.de-labrusse.fr/smeserver/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://mirror.de-labrusse.fr/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#VirtualBox
#####################
#####################
REPO['reponame']='virtualbox'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='RHEL/CentOS VirtualBox'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download.virtualbox.org/virtualbox/rpm/el/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.virtualbox.org/download/oracle_vbox.asc'
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#Wandisco git
#####################
#####################
REPO['reponame']='WANdisco-git'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='WANdisco Distribution of git'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='https://opensource.wandisco.com/rhel/$releasever/git/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="https://opensource.wandisco.com/RPM-GPG-KEY-WANdisco"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']='10'
createrepo

#####################
#####################
#Webtatic
#####################
#####################
REPO['reponame']='webtatic'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='webtatic - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://mirror.webtatic.com/yum/el-$releasever/$basearch/mirrolist'
REPO['GPGCheck']='yes'
if  ( "%{?dist}"  == "el5" ); then
REPO['GPGKey']='http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-andy'
else
REPO['GPGKey']="http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-%{?dist}"
fi
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#Xymon
#####################
#####################
REPO['reponame']='xymon'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='Xymon Terabithia RPMS - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://terabithia.org/rpms/xymon/el$releasever/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="http://terabithia.org/rpms/RPM-GPG-KEY-JCLEAVER"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo

#####################
#####################
#Zabbix2.4
#####################
#####################
declare -A zabshort=( ['1.8']='18' ['2.0']='20' ['2.0']='20' ['2.4']='24' ['3.0']='30' ['3.2']='32' ['3.4']='34' ['4.0']='40' ['4.2']='42' ['4.4']='44' ['4.5']='45' ['5.0']='50' ['5.1']='51' ['5.2']='52' ['5.3']='53' ['5.4']='54'  ['5.5']='55' )
for elasver  in "4.2" "4.4"  '4.5' '5.0' '5.1' '5.2' '5.3' '5.4' '5.5'; do
REPO['reponame']="zabbix${zabshort[$elasver]}"
REPO['pkgname']='zabbix'
REPO['fullreponame']="Zabbix $elasver Official Repository"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="http://repo.zabbix.com/zabbix/$elasver/rhel/\$releasever/\$basearch/"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="http://repo.zabbix.com/RPM-GPG-KEY-ZABBIX-A14FE591"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done

# webfront sclo
for elasver  in '5.0' '5.1'; do
REPO['reponame']="zabbix${zabshort[$elasver]}-frontend"
REPO['pkgname']='zabbix'
REPO['fullreponame']="Zabbix $elasver Official Repository"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="http://repo.zabbix.com/zabbix/$elasver/rhel/\$releasever/\$basearch/frontend/"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="http://repo.zabbix.com/RPM-GPG-KEY-ZABBIX-A14FE591"
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo
done



#####################
#####################
#zmrepo
#####################
#####################
REPO['reponame']='zmrepo'
REPO['pkgname']=${REPO['reponame']}
REPO['fullreponame']='ZoneMinder Repo - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://zmrepo.zoneminder.com/el/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=""
REPO['Exclude']=''
REPO['IncludePkgs']=''
REPO['Priority']=''
createrepo


#####################################################
# migrates
######################################################
mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate
cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/90sogo
{
    my @add = split(/[,; ]+/, 'gnustep-*');
    my %remove = map { $_ => 1 } split(/[,; ]+/, '');

    for my $name ( qw(epel) )
    {
        my $repo = $DB->get($name) or next;

        my @exclude = split(/,/, $repo->prop('Exclude') || '');
        push @exclude, @add;
        @exclude = grep(!defined $remove{$_} && !/^CENTOS_/, @exclude);

        # remove duplicates
        undef %saw;
        @exclude = grep(!$saw{$_}++, @exclude);

        if ($#exclude >= 0)
        {
            $repo->set_prop('Exclude', join(',', @exclude));
        }
        else
        {
            $repo->delete('Exclude');
        }
    }
}

EOF


cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/10zmrepo
{
    for my $name ( qw(zmrepo) )
    {
        my $repo = $DB->get($name) or next;
	my $BaseURL = $repo->prop('BaseURL') || '';
        if ($BaseURL =~ s/zmrepo.mehvc.com/zmrepo.zoneminder.com/g)
                {$repo->set_prop('BaseURL', $BaseURL);}
        $repo->delete('Exclude') if $repo->prop('delete');
    }

}

EOF


cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/30mongodbDeleteOldRepos
{
    for my $dbVer (qw( 0.9 1.0 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7)) {
        $dataBase = "mongodb$dbVer";
        my $repo = $DB->get($dataBase);
        $repo->delete if $repo;
    }
}

EOF

cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/30pgsql
{
    # delete old repos
    for my $dbVer (qw( 9.6 10 11)) {
        $dataBase = "pgsql$dbVer";
        my $repo = $DB->get($dataBase);
        $repo->delete if $repo;
        $dataBase = "pgsql$dbVer-common";
        my $repo = $DB->get($dataBase);
        $repo->delete if $repo;
        $dataBase = "pgsql$dbVer-nonfree";
        my $repo = $DB->get($dataBase);
        $repo->delete if $repo;
    }
    # update keys
    #old was https://download.postgresql.org/pub/repos/yum/RPM-GPG-KEY-PGDG-** 
    #new is https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7
    for my $dbVer (qw( 12 13)) {
       for my $case (qw(nonfree common)) {
           $dataBase = "pgsql$dbVer-$case"; 
           my $repo = $DB->get($dataBase) or next;
           my $gpgurl = $repo->prop('GPGKey');
           $repo->set_prop('GPGKey','https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7') if (index($gpgurl, "keys") == -1)       
       }
       $dataBase = "pgsql$dbVer";
       my $repo = $DB->get($dataBase) or next;
       my $gpgurl = $repo->prop('GPGKey');
       $repo->set_prop('GPGKey','https://download.postgresql.org/pub/repos/yum/keys/PGDG-RPM-GPG-KEY-RHEL7') if (index($gpgurl, "keys") == -1)
    }
}

EOF



##########################################################

rm -f %{name}-%{version}-filelist*
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT 			> %{name}-%{version}-filelist
cat %{name}-%{version}-filelist|grep asterisk 			> %{name}-%{version}-filelist-asterisk
cat %{name}-%{version}-filelist| grep atomic			> %{name}-%{version}-filelist-atomic
cat %{name}-%{version}-filelist| grep bareos			> %{name}-%{version}-filelist-bareos
cat %{name}-%{version}-filelist| grep centos-sclo		> %{name}-%{version}-filelist-centos-sclo
cat %{name}-%{version}-filelist| grep collaboraoffice		> %{name}-%{version}-filelist-collaboraoffice
cat %{name}-%{version}-filelist| grep docker-ce			> %{name}-%{version}-filelist-docker-ce
cat %{name}-%{version}-filelist| grep egroupware 		> %{name}-%{version}-filelist-egroupware
cat %{name}-%{version}-filelist| grep elastic			> %{name}-%{version}-filelist-elastic
cat %{name}-%{version}-filelist| grep elrepo			> %{name}-%{version}-filelist-elrepo
cat %{name}-%{version}-filelist| grep erlang			> %{name}-%{version}-filelist-erlang
cat %{name}-%{version}-filelist| grep freeswitch		> %{name}-%{version}-filelist-freeswitch
cat %{name}-%{version}-filelist| grep fws			> %{name}-%{version}-filelist-fws
cat %{name}-%{version}-filelist| grep fusioninventory-agent     > %{name}-%{version}-filelist-fusioninventory-agent
cat %{name}-%{version}-filelist| grep lemonldap			> %{name}-%{version}-filelist-lemonldap
cat %{name}-%{version}-filelist| grep libreswan			> %{name}-%{version}-filelist-libreswan
cat %{name}-%{version}-filelist| grep mariadb                   > %{name}-%{version}-filelist-mariadb
cat %{name}-%{version}-filelist| grep mongodb                   > %{name}-%{version}-filelist-mongodb
cat %{name}-%{version}-filelist| grep nginx			> %{name}-%{version}-filelist-nginx
cat %{name}-%{version}-filelist| grep node                      > %{name}-%{version}-filelist-node
if  ( "%{?dist}"  == "el7" ); then
cat %{name}-%{version}-filelist| grep odoo			> %{name}-%{version}-filelist-odoo
fi
cat %{name}-%{version}-filelist| grep okay			> %{name}-%{version}-filelist-okay
cat %{name}-%{version}-filelist| grep -i onlyoffice		> %{name}-%{version}-filelist-onlyoffice
cat %{name}-%{version}-filelist| grep reetp			> %{name}-%{version}-filelist-reetp
cat %{name}-%{version}-filelist| grep remi-ocsinventory         > %{name}-%{version}-filelist-remi-ocsinventory
cat %{name}-%{version}-filelist| grep remi-roundcube            > %{name}-%{version}-filelist-remi-roundcube
cat %{name}-%{version}-filelist| grep remi|egrep -v 'ocsinventory|roundcube'	> %{name}-%{version}-filelist-remi
cat %{name}-%{version}-filelist| grep rpmfusion			> %{name}-%{version}-filelist-rpmfusion
cat %{name}-%{version}-filelist| grep sogo			> %{name}-%{version}-filelist-sogo
cat %{name}-%{version}-filelist| grep spectrum2			> %{name}-%{version}-filelist-spectrum2
cat %{name}-%{version}-filelist| grep springdale		> %{name}-%{version}-filelist-springdale
cat %{name}-%{version}-filelist| grep stephdl			> %{name}-%{version}-filelist-stephdl
cat %{name}-%{version}-filelist| grep virtualbox		> %{name}-%{version}-filelist-virtualbox
cat %{name}-%{version}-filelist| grep -i wandisco               > %{name}-%{version}-filelist-wandisco
cat %{name}-%{version}-filelist| grep webtatic			> %{name}-%{version}-filelist-webtatic
cat %{name}-%{version}-filelist| grep xymon			> %{name}-%{version}-filelist-xymon
cat %{name}-%{version}-filelist| grep zabbix			> %{name}-%{version}-filelist-zabbix
cat %{name}-%{version}-filelist| grep zmrepo			> %{name}-%{version}-filelist-zmrepo
cat %{name}-%{version}-filelist| grep pgsql                    > %{name}-%{version}-filelist-pgsql
%clean
cd ..
rm -rf %{name}-%{version}


#%files -f %{name}-%{version}-filelist
%files 
%defattr(-,root,root)

%pre

%preun

%post

%postun
case "$1" in

	0)
		# this is an uninstallation
	;;

	1)
		# this is an upgrade
	;;
esac
%package asterisk
Summary: Asterisk Repository tucny.com
%description asterisk
Asterisk Repository tucny.com
%files asterisk -f  %{name}-%{version}-filelist-asterisk
%defattr(-,root,root)

%package atomic
Summary: Atomic Repository
%description atomic
Atomic Repository
%files atomic -f  %{name}-%{version}-filelist-atomic
%defattr(-,root,root)

%package bareos
Summary: Backup Archiving Recovery Open Sourced 
%description bareos
Backup Archiving Recovery Open Sourced  repository
%files bareos -f  %{name}-%{version}-filelist-bareos
%defattr(-,root,root)

%package centos-sclo
Summary: CentOS Red-Hat software collection repository
%description centos-sclo
CentOS Red-Hat software collection repository only for  x86_64 arch
%files centos-sclo -f  %{name}-%{version}-filelist-centos-sclo
%defattr(-,root,root) 

%package collaboraoffice
Summary: collaboraoffice repo
%description collaboraoffice
collaboraoffice repo
%files collaboraoffice -f  %{name}-%{version}-filelist-collaboraoffice
%defattr(-,root,root)

%package docker-ce
Summary: docker-ce
%description docker-ce
docker-ce repo
%files docker-ce -f  %{name}-%{version}-filelist-docker-ce
%defattr(-,root,root)

%package egroupware
Summary: Repository for eGroupWare
%description egroupware
Repository for eGroupWare
%files egroupware -f  %{name}-%{version}-filelist-egroupware
%defattr(-,root,root)

%package elastic
Summary: Repositories for elastic search
%description elastic
Repositories for elastic search
%files elastic -f  %{name}-%{version}-filelist-elastic
%defattr(-,root,root)

%package elrepo
Summary: ElRepo.org Community Enterprise Linux Repository
%description elrepo
ElRepo.org Community Enterprise Linux Repository
%files elrepo -f  %{name}-%{version}-filelist-elrepo
%defattr(-,root,root)

%package erlang
Summary: Erlang Repository 
%description erlang
Erlang is a programming language. It is specifically used for ejabberd. 
%files erlang -f  %{name}-%{version}-filelist-erlang
%defattr(-,root,root)

%package freeswitch
Summary: Freeswitch Repository
%description freeswitch
FreeSWITCH is a scalable open source cross-platform telephony platform designed to route and interconnect popular communication protocols using audio, video, text or any other form of media. It was created in 2006 to fill the void left by proprietary commercial solutions. FreeSWITCH also provides a stable telephony platform on which many applications can be developed using a wide range of free tools
%files freeswitch -f  %{name}-%{version}-filelist-freeswitch
%defattr(-,root,root)

%package fws
Summary: Firewall Services repository
%description fws
Firewall Services repository
%files fws -f  %{name}-%{version}-filelist-fws
%defattr(-,root,root)

%package fusioninventory-agent
Summary: Copr repo for fusioninventory-agent owned by trasher
%description fusioninventory-agent
Copr repo for fusioninventory-agent owned by trasher
%files fusioninventory-agent -f  %{name}-%{version}-filelist-fusioninventory-agent
%defattr(-,root,root)

%package lemonldap
Summary: Lemonldap NG Repository
%description lemonldap
LemonLDAP::NG Repository
%files lemonldap -f  %{name}-%{version}-filelist-lemonldap
%defattr(-,root,root)

%package libreswan
Summary: Libreswan Repository
%description libreswan
Libreswan Repository
%files libreswan -f  %{name}-%{version}-filelist-libreswan
%defattr(-,root,root)

%package mariadb
Summary: Mariadb Repositories
%description mariadb
MariaDB Repositories
%files mariadb -f  %{name}-%{version}-filelist-mariadb
%defattr(-,root,root)

%package mongodb
Summary: MongoDB Repositories
%description mongodb
MongoDB Repositories
%files mongodb -f  %{name}-%{version}-filelist-mongodb
%defattr(-,root,root)

%package nginx
Summary: nginx Repositories
%description nginx
Nginx Repositories
%files nginx -f  %{name}-%{version}-filelist-nginx
%defattr(-,root,root)

%package node
Summary: NodeJS Repositories
%description node
NodeJS Repositories
%files node -f  %{name}-%{version}-filelist-node
%defattr(-,root,root)

%package odoo
Summary: Odoo 10 Nightly - EL7 Repository
Distribution: el7
%description odoo
Odoo 10 Nightly - EL7 Repository
# comment as not available for centos 6 SME9
#%files odoo -f  %{name}-%{version}-filelist-odoo
#%defattr(-,root,root)

%package okay
Summary: Extra OKay Packages for Enterprise Linux
%description okay
Extra OKay Packages for Enterprise Linux - Freeswitch and FusionPBX
%files okay -f  %{name}-%{version}-filelist-okay
%defattr(-,root,root)

%package onlyoffice
Summary: onlyoffice Repository
%description onlyoffice
onlyoffice Repository
%files onlyoffice  -f %{name}-%{version}-filelist-onlyoffice
%defattr(-,root,root)

%package pgsql
Summary: PostGreSQL Repositories
%description pgsql
PostGreSQL Repositories
%files pgsql -f  %{name}-%{version}-filelist-pgsql
%defattr(-,root,root)

%package reetp
Summary: Mirror John Crisp reetspetit.com
%description reetp
Mirror John Crisp reetspetit.com
%files reetp -f  %{name}-%{version}-filelist-reetp
%defattr(-,root,root)

%package remi-ocsinventory
Summary: Remi repository filtered to install OCSinventory
%description remi-ocsinventory
Remi repository filtered to install OCSinventory
%files remi-ocsinventory -f  %{name}-%{version}-filelist-remi-ocsinventory
%defattr(-,root,root)

%package remi-roundcube
Summary: Remi repository filtered to install Roundcube
%description remi-roundcube
Remi repository filtered to install Roundcube
%files remi-roundcube -f  %{name}-%{version}-filelist-remi-roundcube
%defattr(-,root,root)

%package remi-unsafe
Summary: Remi unsafe repository
%description remi-unsafe
Remi unsafe repository. We call it unsafe, not because of the work, but because it can conflict with base rpm of your favorite distro. Use it at your own risk if you are able to handle the situation.
%files remi-unsafe -f  %{name}-%{version}-filelist-remi
%defattr(-,root,root)

%package rpmfusion
Summary: RPMFusion repositories
%description rpmfusion
RPMFusion repositories
%files rpmfusion -f  %{name}-%{version}-filelist-rpmfusion
%defattr(-,root,root)

%package sogo
Summary: SOGo repositories
%description sogo
SOGo repositories
%files sogo -f  %{name}-%{version}-filelist-sogo
%defattr(-,root,root)

%package spectrum2
Summary: Spectrum2 Repository
%description spectrum2
Spectrum2 Repository
%files spectrum2 -f  %{name}-%{version}-filelist-spectrum2
%defattr(-,root,root)

%package springdale
Summary: Springdale PUIAS Linux repos
%description springdale
Springdale PUIAS Linux repos
%files springdale -f  %{name}-%{version}-filelist-springdale
%defattr(-,root,root)

%package stephdl
Summary: Stephane De Labrusse Repository
%description stephdl
Stephane De Labrusse Repository
%files stephdl -f  %{name}-%{version}-filelist-stephdl
%defattr(-,root,root)

%package virtualbox
Summary: Virtualbox Repository
%description virtualbox
Virtualbox Repository
%files virtualbox -f  %{name}-%{version}-filelist-virtualbox
%defattr(-,root,root)

%package wandisco
Summary: WANdisco Distribution of git
%description wandisco
WANdisco Distribution of git
%files wandisco -f  %{name}-%{version}-filelist-wandisco
%defattr(-,root,root)

%package webtatic
Summary: Webtatic Repository
%description webtatic
Webtatic Repository
%files webtatic -f  %{name}-%{version}-filelist-webtatic
%defattr(-,root,root)

%package xymon
Summary: Xymon Terabithia Repository
%description xymon
Xymon Terabithia Repository
%files xymon -f  %{name}-%{version}-filelist-xymon
%defattr(-,root,root)

%package zabbix
Summary: Zabbix official Repository
%description zabbix
Zabbix official Repository
%files zabbix -f  %{name}-%{version}-filelist-zabbix
%defattr(-,root,root)

%package zmrepo
Summary: Zone Minder Repository
%description zmrepo
Zone Minder Repository
%files zmrepo -f  %{name}-%{version}-filelist-zmrepo
%defattr(-,root,root)



